/**************************************************************************
*
* Filename:    usb_tc08.c
*
* Copyright:   Pico Technology Limited 1995
*  
*              www.picotech.com
*
* Author:      Mark Spencer
*
* Description:
*   This file demonstrates how to use the USB TC-08 driver from within
*   a Windows application.
*
* History:
*  17Dec95 MKG Created
* Revision Info: "file %n date %f revision %v"
*                "file USB_TC08.C date 26-Sep-03,10:12:40 revision 1"
*
***************************************************************************/
#include <stdio.h>

/* Headers for Windows */
#ifdef _WIN32
#include "windows.h"
#include <conio.h>
#include ".\usbtc08.h"
#else
#include <sys/types.h>
#include <string.h>

#include "linux_utils.h"
#endif

#define PREF4 __stdcall


/****************************************************************************
* main
* 
***************************************************************************/
int main(void)
{
	short hTemp;
	int i;
	float temp_buffer[100];
	long times_ms_buffer[100];
	short buffer_length = 100;
	short overflow;

	hTemp = usb_tc08_open_unit();
	usb_tc08_set_channel (hTemp, 1, 'K');
	usb_tc08_run(hTemp, 100);

	Sleep(10000);
	usb_tc08_get_temp(hTemp, temp_buffer, times_ms_buffer, buffer_length, &overflow, 1,0,0);
	for ( i= 0; i<100; ++i)
		printf("Temp %2f\n",temp_buffer[i]);

	usb_tc08_close_unit(hTemp);

}
